var app = require('express')();
var http = require('http').Server(app);
var io = require('socket.io').listen(http);

app.get('/', function(req, res){
  res.sendFile(__dirname + '/index.html');
});

http.listen(65010, function(){
  console.log('listening on *:65010');
});

io.on( 'connection', function( socket ){
    console.log('a user connected');        
    socket.on( 'disconnect', function(){
        console.log('user disconnected');    
    });
    socket.on('chat message', function(msg){
      console.log('message: ' + msg);
      //io.emit('chat message', msg );
      socket.broadcast.emit('chat message', msg);
    });
});
